<?php
App::uses('Controller', 'Controller');
App::uses('Globals', 'Lib');

class AppController extends Controller {

	public $uses = ['Profile','User','Type','Industry','Listing','Page','Upgrade','Visit'];
	public $components = ['Files','Session', 'Cookie'];
	public $helpers = [
		'Html' => ['className' => 'Bootstrap4.BootstrapHtml'],
		'Form' => ['className' => 'Bootstrap4.BootstrapForm'],
		'Modal' => ['className' => 'Bootstrap4.BootstrapModal']
	];
	public $access = [];
	public $domainOwnership = [
		'free' => 'Avail Free Domain',
		'owned' => 'I own this domain',
	];
	public $urlPath = [
		'domain' => 'Use Domain name',
		'username' => 'Use Username',
	];
	public $yesno = [
		'0' => 'No',
		'1' => 'Yes',
	];

	public function beforeFilter()
	{
		foreach($this->Profile->accessLimits as $key=>$row)
			$this->access[$key] = $row['name'];

		$this->set('priceOptions', $this->Listing->priceOptions);
		$this->set('availability', $this->Listing->availability);
		$this->set('domainOwnership', $this->domainOwnership);
		$this->set('costPerMonth', $this->costPerMonth);
		$this->set('upgradeStatus', $this->Upgrade->status);
		$this->set('urlPath', $this->urlPath);
		$this->set('accessLimits', $this->Profile->accessLimits);
		$this->set('yesno', $this->yesno);
		$this->set('access', $this->access);
	}
	public function beforeRender()
	{
		if(!IS_LIVE)
			Globals::$robots = 'noindex,nofollow';
	}
	
	public function toSef ($string) {
		return preg_replace('/[ -]+/', '-', trim(preg_replace('/[^a-z0-9 -]/', '', strtolower(iconv('UTF-8', 'ASCII//TRANSLIT', html_entity_decode($string))))));
	}

	public function profile() {
		$data = $this->Profile->read(null, $this->Auth->user('id'));
		return !empty($data['Profile']) ? $data['Profile'] : [];
	}

	public function deleteFile($file) {
		if(file_exists(WWW_ROOT.$file) && strstr($file,'/up/'))
			return unlink(WWW_ROOT.$file);
		return false;
	}
}