<?php
App::uses('Component','Controller'); 

class FilesComponent extends Component {

	public function uploadImage($file, $option = []) {

		if(!empty($file['name'])){
			$ext = substr(strtolower(strrchr($file['name'], '.')), 1); 
			$arr_ext = array('jpg', 'jpeg', 'gif', 'png'); 
			if(in_array($ext, $arr_ext)){
				$filename = !empty($option['filename']) ? $option['filename'] : $file['name'];
				$path = APP.'webroot'.$filename;
				if(move_uploaded_file($file['tmp_name'], $path)) {
					if(!empty($option['type']) && $option['type'] == 'logo') {
						$this->resize(200, 30, $path, $path);
					} elseif(!empty($option['type']) && $option['type'] == 'cover') {
						$this->resize(1800, 1200, $path, $path, 90);
					} elseif(!empty($option['type']) && $option['type'] == 'image') {
						$this->resize(1000, 800, $path, $path, 80);
					} elseif(!empty($option['type']) && $option['type'] == 'page-image') {
						$this->resize(1000, 1000, $path, $path, 80);
					} elseif(!empty($option['type']) && $option['type'] == 'listing') {
						$this->resize(800, 600, $path, $path, 80);
					}
					return true;
				}
			}
		}
		return false;

	}

	private function resizeCrop($max_width, $max_height, $source_file, $dst_dir, $quality = 80, $blur = false){
		$imgsize = getimagesize($source_file);
		$width = $imgsize[0];
		$height = $imgsize[1];
		$mime = $imgsize['mime'];
		$ratio = $width/$height;
	
		switch($mime){
			case 'image/gif':
				$image_create = "imagecreatefromgif";
				$image = "imagegif";
				break;
	
			case 'image/png':
				$image_create = "imagecreatefrompng";
				$image = "imagepng";
				$quality = 7;
				break;
	
			case 'image/jpeg':
				$image_create = "imagecreatefromjpeg";
				$image = "imagejpeg";
				$quality = 80;
				break;
	
			default:
				return false;
				break;
		}
	
		// $width_new = $height * $max_width / $max_height;
		// $height_new = $width * $max_height / $max_width;
		// debug($width_new);
		// debug($width);exit;
		// if($width_new < $width) {
		// 	$max_width = $width_new = $width;
		// 	$max_height = $height_new = $height;
		// }

		if( $ratio > 1) {
			$width_new = $max_width = $max_width;
			$max_height = $max_width/$ratio;
		}
		else {
			$width_new = $max_width = $max_width*$ratio;
			$max_height = $max_width;
		}


		$dst_img = imagecreatetruecolor($max_width, $max_height);
		$src_img = $image_create($source_file);		

		//blur
		// if($blur) {
		// 	for ($x=1; $x <=20; $x++)
		// 		imagefilter($src_img, IMG_FILTER_GAUSSIAN_BLUR, 999);
		// 	imagefilter($src_img, IMG_FILTER_SMOOTH,99);
		// 	imagefilter($src_img, IMG_FILTER_BRIGHTNESS, 10);
		// }
		//if the new width is greater than the actual width of the image, then the height is too large and the rest cut off, or vice versa
		if($width_new > $width){
			//cut point by height
			$h_point = (($height - $height_new) / 2);
			//copy image
			imagecopyresampled($dst_img, $src_img, 0, 0, 0, $h_point, $max_width, $max_height, $width, $height_new);
		}else{
			//cut point by width
			$w_point = (($width - $width_new) / 2);
			imagecopyresampled($dst_img, $src_img, 0, 0, $w_point, 0, $max_width, $max_height, $width_new, $height);
		}
	
		$image($dst_img, $dst_dir, $quality);
	
		if($dst_img)imagedestroy($dst_img);
		if($src_img)imagedestroy($src_img);
	}

	private function resize($max_width, $max_height, $source_file, $dst_dir, $quality = 80){
		$imgsize = getimagesize($source_file);
		$orig_width = $width = $imgsize[0];
		$orig_height = $height = $imgsize[1];
		$mime = $imgsize['mime'];
	
		switch($mime){
			case 'image/gif':
				$image_create = "imagecreatefromgif";
				$image = "imagegif";
				break;
	
			case 'image/png':
				$image_create = "imagecreatefrompng";
				$image = "imagepng";
				$quality = 7;
				break;
	
			case 'image/jpeg':
				$image_create = "imagecreatefromjpeg";
				$image = "imagejpeg";
				$quality = $quality ? $quality : 80;
				break;
	
			default:
				return false;
				break;
		}
	
		$width_new = $height * $max_width / $max_height;
		$height_new = $width * $max_height / $max_width;
		//if the new width is greater than the actual width of the image, then the height is too large and the rest cut off, or vice versa
		if($width_new > $width){
			// //cut point by height
			// $h_point = (($height - $height_new) / 2);
			// //copy image
			// imagecopyresampled($dst_img, $src_img, 0, 0, 0, $h_point, $max_width, $max_height, $width, $height_new);
			$width = ($max_height / $height) * $width;
			$height = $max_height;
		}else{
			//cut point by width
			// $w_point = (($width - $width_new) / 2);
			// imagecopyresampled($dst_img, $src_img, 0, 0, $w_point, 0, $max_width, $max_height, $width_new, $height);
			$height = ($max_width / $width) * $height;
			$width = $max_width;
		}
	
		$dst_img = imagecreatetruecolor($width, $height);
		$src_img = $image_create($source_file);
		if($image == 'imagepng') {
			imagealphablending($dst_img, false);
			imagesavealpha($dst_img, true);
		}

		imagecopyresampled($dst_img, $src_img, 0, 0, 0, 0,  $width, $height, $orig_width, $orig_height);
	
		$image($dst_img, $dst_dir, $quality);
	
		if($dst_img)imagedestroy($dst_img);
		if($src_img)imagedestroy($src_img);
	}


}