<?php
App::uses('AppModel', 'Model');
class Listing extends AppModel {

	public $useTable = 'listings';
	public $displayField = 'name';
	public $order = 'Listing.name';

	public $validate = array(
		'name' => [
			'notBlank',
		],
	);

	public $availability = [
		'available'=>'Available', 
		'sold'=>'Sold', 
		'out'=>'Out of Stock', 
		'hide'=>'Do not Show'
	];

	public $priceOptions = [
		'hide'=>'Hide Price', 
		'show'=>'Show Price', 
		'contact'=>'Show "Contact us for Pricing"'
	];

	public function afterFind ($data, $primary = false) {

		if($this->findQueryType == 'count') return $data;

		foreach($data as $i=>$row) {
			if(empty($row[$this->alias]['image']))
				$data[$i][$this->alias]['image'] = '/img/placeholder.png';

			$price_line = [];
			if(!empty($row[$this->alias]['price_option']))
			switch($row[$this->alias]['price_option']) {
				case 'show': 
					if(!empty($row[$this->alias]['price']))
						$price_line[] = '₱ '.$row[$this->alias]['price'];
					break;
				case 'contact':
					$price_line[] = 'Contact us for pricing';
					break;
			}
			if(!empty($row[$this->alias]['availability']) && in_array($row[$this->alias]['availability'],['sold','out']))
				$price_line[] = $this->availability[$row[$this->alias]['availability']];
			$data[$i][$this->alias]['price_line'] = $price_line;
		}
		return $data;
	}
}