<?php
App::uses('AppModel', 'Model');
class Page extends AppModel {

	public $useTable = 'pages';
	public $displayField = 'title';
	public $order = 'Page.title';

	public $validate = array(
		'title' => [
			'notBlank',
		],
	);

	public function afterFind ($data, $primary = false) {

		if($this->findQueryType == 'count') return $data;

		foreach($data as $i=>$row) {
			if(isset($row[$this->alias]['image']) && empty($row[$this->alias]['image']))
				$data[$i][$this->alias]['image'] = '/img/placeholder.png';
		}
		return $data;
	}

	public function beforeSave($options = array()) {
		parent::beforeSave();
		if (isset($this->data[$this->alias]['slug']) && empty($this->data[$this->alias]['slug'])) {
			$this->data[$this->alias]['slug'] = $this->toSef($this->data[$this->alias]['title']);
		}
		return true;
	}

}