<?php
App::uses('AppModel', 'Model');
class Visit extends AppModel {

	public $useTable = 'visits';
	public $displayField = 'page';
	public $order = 'Visit.profile_id';
	//public $belongsTo = array('Profile');

	public function track($profile_id, $profile_ip = '', $page = '/') {
		// ignore owner activity
		if(IS_LIVE && $profile_ip == env('REMOTE_ADDR')) 
			return true;

		// ignore whitelisted pages
		$invalid_pages = ['/404/'];
		foreach($invalid_pages as $row) {
			if(strstr($page,$row)) {
				return true;
				break;
			}
		}

		// check if same page has and user been accessed already
		$params = [ 'profile_id'=>$profile_id, 'page' => $page, 'ip'=> env('REMOTE_ADDR') ];
		if($this->find('first',['fields'=>['id'], 'conditions'=>$params])) 
			return true;

		return $this->save([$this->alias => $params]);
	}
}