<?php
$edit = '<a href="/admin/profiles_edit/%s" title="Edit"><i class="fas fa-edit"></i></a>';
$approve = '<a href="/admin/upgrades/approve:%s" title="Approve" onclick="return confirm(\'Are you sure you want to Approve this?\')"><i class="far fa-thumbs-up"></i></a>';
?>
<div class="card shadow mb-4">
	<?=$this->element('admin_card_header', ['title'=>'Upgrade Requests'])?>
	<div class="card-body">

		<?php if(!empty($this->data)):?>
			<?=$this->element('pagination', array("search_box"=>true));?>
			<table class="table table-responsive-sm">
				<tr>
					<th><?= $this->Paginator->sort('Profile.username', 'Username'); ?></th>
					<th><?= $this->Paginator->sort('Profile.access', 'From'); ?></th>
					<th><?= $this->Paginator->sort('Upgrade.access', 'To'); ?></th>
					<th><?= $this->Paginator->sort('Upgrade.domain', 'Domain'); ?></th>
					<th><?= $this->Paginator->sort('Upgrade.domain_ownership', 'Ownership'); ?></th>
					<th>Receipt</th>
					<th><?= $this->Paginator->sort('Upgrade.created', 'Date Posted'); ?></th>
					<th class="text-center">Actions</th>
				</tr>
			<?php foreach ($this->data as $row): ?>
				<tr>
					<td><?= $row['Profile']['username'] ?></td>
					<td><?= $access[$row['Profile']['access']] ?></td>
					<td><?= $access[$row['Upgrade']['access']] ?></td>
					<td><?= $row['Upgrade']['domain'] ? $row['Upgrade']['domain'] : 'n/a' ?></td>
					<td><?= $row['Upgrade']['domain_ownership'] ? $domainOwnership[$row['Upgrade']['domain_ownership']] : 'n/a' ?></td>
					<td><a href="<?= $row['Upgrade']['image'] ?>" class="popup-image"><i class="fas fa-file-download"></i></a></td>
					<td><?= $this->App->toDate($row['Upgrade']['created']) ?></td>
					<td class="text-center"><?= sprintf($edit ,$row['Profile']['id']) ?> <?= sprintf($approve ,$row['Upgrade']['id']) ?></td>
				</tr>
			<?php endforeach; ?>
			</table>

		<?php else: ?>
			None
		<?php endif;?>

	</div>
</div>

<div class="card shadow mb-4">
	<?=$this->element('admin_card_header', ['title'=>'Recent Upgrades'])?>
	<div class="card-body">

		<?php if(!empty($recentUpgrades)):?>
			<table class="table table-responsive-sm">
				<tr>
					<th>Username</th>
					<th>Upgrade To</th>
					<th>Receipt</th>
					<th>Status</th>
					<th>Date Approved</th>
					<th class="text-center">Actions</th>
				</tr>
			<?php foreach ($recentUpgrades as $row): ?>
				<tr>
					<td><?= $row['Profile']['username'] ?></td>
					<td><?= $access[$row['Upgrade']['access']] ?></td>
					<td>
					<?php if(!empty($row['Upgrade']['image'])):?>
					<a href="<?= $row['Upgrade']['image'] ?>" class="popup-image"><i class="fas fa-file-download"></i></a>
					<?php else: ?>None<?php endif; ?>
					</td>
					<td><?= $row['Upgrade']['status'] ?></td>
					<td><?= $this->App->toDate($row['Upgrade']['approved']) ?></td>
					<td class="text-center"><?= sprintf($edit ,$row['Profile']['id']) ?></td>
				</tr>
			<?php endforeach; ?>
			</table>
		<?php else: ?>
			None
		<?php endif;?>

	</div>
</div>