<nav class="top-nav">
	<div class="container">
		<div class="row">
			<div class="col-10 col-lg-4 align-self-center">
				<a href="<?=BASE?>" class="brand" title="<?=$profile['title']?>">
					<?php if(!empty($profile['header_logo'])): ?>
					<img src="<?=$profile['header_logo']?>" alt="<?=$profile['title']?>" class="header-logo" />
					<?php else: ?>
					<?php
					if(!empty($profile['header_text'])) echo $profile['header_text'];
					elseif(!empty($profile['business_name'])) echo $profile['business_name'];
					else echo $profile['username'];
					?>
					<?php endif; ?>
				</a>
			</div>

			<div class="col-lg-7 page-menu d-none d-lg-block align-self-center text-right">
				<a href="<?=BASE?>">home</a>
				<?php if($listing_count): ?>
				<a href="<?=BASE?>listing/"><?=!empty($profile['listing_home_title']) ? strtolower($profile['listing_home_title']) : 'listing' ?></a>
				<?php endif; ?>
				<?php foreach($pages as $slug=>$title): ?>
				<a href="<?=BASE?><?=$slug?>/"><?=strtolower($title)?></a>
				<?php endforeach; ?>
			</div>

			<div class="col-1 text-right align-self-center">
				<div class="navTrigger" data-trigger="#sidemenu">
					<i></i>
					<i></i>
					<i></i>
				</div>
			</div>
		</div>
	</div>
</nav>

<!-- offcanvas panel -->
<b class="screen-overlay"></b>
<aside class="sidemenu sidemenu-right" id="sidemenu">
	<div class="content">
		<div class="btn-close"><i class="fas fa-times"></i></div>
		<ul class="list">

			<li><a href="<?=BASE?>">home<i class="fas fa-home"></i></a></li>

			<?php if($listing_count): ?>
			<li><a href="<?=BASE?>listing/"><?=!empty($profile['listing_home_title']) ? strtolower($profile['listing_home_title']) : 'listing' ?><i class="fas fa-list-ul"></i></a></li>
			<?php endif; ?>
			
			<?php foreach($pages as $slug=>$title): ?>
			<li><a href="<?=BASE?><?=$slug?>/"><?=strtolower($title)?><i class="far fa-file-alt"></i></a></li>
			<?php endforeach; ?>

			<li class="mb-5 ads"><a href="/signup/">create your own site<i class="fas fa-plus"></i></a></li>

			<?php if(!empty($profile['contact_address'])): ?>
			<li><a href="https://www.google.com/maps/place/<?= urlencode($profile['contact_address'] .', '. $profile['contact_city']) ?>" target="_blank">direction<i class="fas fa-map-marker-alt"></i></a></li>
			<?php endif;?>
			<?php if(!empty($profile['contact_email'])): ?>
			<li><a href="mailto:<?= h($profile['contact_email']) ?>" target="_blank" class="show-on-load"><span data-src="<?= h($profile['contact_email']) ?>" class="target">email</span><i class="far fa-envelope"></i></a></li>
			<?php endif;?>
			<?php if(!empty($profile['contact_phone'])): ?>
			<li><a href="tel:<?= h($profile['contact_phone']) ?>" target="_blank" class="show-on-load"><span data-src="<?= h($profile['contact_phone']) ?>" class="target">phone</span><i class="fas fa-mobile-alt"></i></a></li>
			<?php endif;?>
			<?php if(!empty($profile['contact_phone2'])): ?>
			<li><a href="tel:<?= h($profile['contact_phone2']) ?>" target="_blank" class="show-on-load"><span data-src="<?= h($profile['contact_phone2']) ?>" class="target">phone</span><i class="fas fa-mobile-alt"></i></a></li>
			<?php endif;?>

			<?php if(!empty($profile['social_facebook'])): ?>
			<li><a href="https://facebook.com/<?= h($profile['social_facebook']) ?>" target="_blank" class="facebook"><?= h($profile['social_facebook']) ?><i class="fab fa-facebook-f"></i></a></li>
			<?php endif; ?>
			<?php if(!empty($profile['social_instagram'])): ?>
			<li><a href="https://instagram.com/<?= h($profile['social_instagram']) ?>" target="_blank" class="instagram"><?= h($profile['social_instagram']) ?><i class="fab fa-instagram"></i></a></li>
			<?php endif; ?>
			<?php if(!empty($profile['social_twitter'])): ?>
			<li><a href="https://twitter.com/<?= h($profile['social_twitter']) ?>" target="_blank" class="twitter"><?= h($profile['social_twitter']) ?><i class="fab fa-twitter"></i></a></li>
			<?php endif; ?>
			<?php if(!empty($profile['social_youtube'])): ?>
			<li><a href="https://www.youtube.com/user/<?= h($profile['social_youtube']) ?>" target="_blank" class="youtube"><?= h($profile['social_youtube']) ?><i class="fab fa-youtube"></i></a></li>
			<?php endif; ?>
			<?php if(!empty($profile['social_linkedin'])): ?>
			<li><a href="https://linkedin.com/in/<?= h($profile['social_linkedin']) ?>" target="_blank" class="linkedin"><?= h($profile['social_linkedin']) ?><i class="fab fa-linkedin-in"></i></a></li>
			<?php endif; ?>

			<?php if(!empty($profile['social_lazada'])): ?>
			<li><a href="https://www.lazada.com.ph/shop/<?= h($profile['social_lazada']) ?>" target="_blank" class="lazada">lazada<img src="/img/icons/lazada_icon.png" class="social-logo" /></a></li>
			<?php endif; ?>
			<?php if(!empty($profile['social_shopee'])): ?>
			<li><a href="https://shopee.ph/<?= h($profile['social_shopee']) ?>" target="_blank" class="shopee">shopee<img src="/img/icons/shopee_icon.png" class="social-logo" /></a></li>
			<?php endif; ?>
			<?php if(!empty($profile['social_carousell'])): ?>
			<li><a href="https://www.carousell.ph/<?= h($profile['social_carousell']) ?>" target="_blank" class="carousell">carousell<img src="/img/icons/carousell_icon.png" class="social-logo" /></a></li>
			<?php endif; ?>

		
			<li class="mt-5"><a href="/signin/" target="_blank">signin<i class="far fa-user"></i></a></li>
			<li class="ads"><a href="https://pow.ph/" target="_blank">pinoys on web<i class="fas fa-power-off"></i></a></li>
			

		</ul>
	</div>
</aside>
<!-- offcanvas panel .end -->

<?php if(!empty($profile)): ?>

	<?php if(!empty($profile['banner_image']) or !empty($profile['banner_text'])): ?>
	<div class="banner d-flex <?=!empty($profile['banner_color']) ? 'bg-'.$profile['banner_color'] : ''?>" 
		<?php if(!empty($profile['banner_image'])): ?>style="background-image: url(<?=$profile['banner_image']?>)"<?php endif; ?>>
		<div class="container align-self-center">
			<?php if(!empty($profile['banner_text'])): ?>
				<div class="header-font banner-text my-3 px-3"><?= h($profile['banner_text']) ?></div>
			<?php endif; ?>
			<?php if(!empty($profile['banner_btn_link'])): ?>
			<a class="btn btn-light btn-banner my-3 px-5" 
				href="<?=!empty($profile['banner_btn_link']) ? $profile['banner_btn_link'] : '#'?>">
				<?=!empty($profile['banner_btn_text']) ? $profile['banner_btn_text'] : 'Go'?>
			</a>
			<?php endif; ?>
		</div>
	</div>
	<?php endif; ?>

<?php else: ?>
<div class="banner">
	<div class="gradient-blue">
		<div class="container">
			<div class="header-font profile-name">PinoysOnWeb!</div>
			<p class="profile-slogan">Websites for every Pilipino!</p>
		</div>
	</div>
</div>
<?php endif; ?>
