<!DOCTYPE html>
<html>
<head>
	<?= $this->Html->charset() ?>
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title><?=Globals::$title?></title>

	<script type="application/ld+json">
	{
		"@context": "https://schema.org/",
		"@type": "LocalBusiness",
		"@id": "https://pow.ph",
		"name": "Pinoys on Web",
		"description": "<?=Globals::$description?>",
		"logo": "https://pow.ph/img/pow-square.png",
		"image": "https://pow.ph/img/sitting.png",
		"email" : "info@pow.ph",
		"url" : "https://pow.ph/",
		"sameAs" : ["https://www.facebook.com/pinoysonweb/", "https://www.instagram.com/pinoysonweb/"],
		"address": "",
		"priceRange": "",
		"telephone": ""
	}
	</script>

	<meta name="page_title" content="<?=Globals::$title?>"/>
	<meta name="robots" content="<?=Globals::$robots?>"/>
	<meta name="description" content="<?=Globals::$description?>">
	<link rel="icon" type="image/png" href="/img/pow.png">
	
	<meta property="og:title" content="<?=Globals::$title?>"/>
	<meta property="og:type" content="website"/>
	<meta property="og:url" content="<?=HOST?>"/>
	<meta property="og:image" content="https://pow.ph/img/sitting.png"/>
	<meta property="og:description" content="<?=Globals::$description?>">
	<meta property="fb:app_id" content="199153644806717">
	
	<meta name="twitter:title" content="<?=Globals::$title?>">
	<meta name="twitter:description" content="<?=Globals::$description?>">
	<meta name="twitter:image" content="https://pow.ph/img/sitting.png">
	<meta name="twitter:card" content="summary_large_image">

	<?= $this->Html->meta('icon') ?>
	<link href="https://fonts.googleapis.com/css?family=Raleway:400,700" rel="stylesheet">
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/normalize.css@8.0.1/normalize.css">

	<?= $this->fetch('meta') ?>

	<!-- Animate -->
	<link rel="stylesheet" href="/css/animate.min.css">
	<!-- Bootstrap CSS -->
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
	<!-- Font Awesome -->
	<link rel="stylesheet"  href="/css/fontawesome-free/css/all.min.css" type="text/css" />
	<!-- Owl Carousel -->
	<link rel="stylesheet" href="/css/owl.carousel.min.css">
	<link rel="stylesheet" href="/css/owl.theme.default.min.css">
	<!-- Magnific Popup -->
	<link rel="stylesheet" href="/css/magnific-popup.css">
	<!-- Fonts -->
	<link href="https://fonts.googleapis.com/css2?family=Quicksand:wght@400;700&display=swap" rel="stylesheet">
	<link href="https://fonts.googleapis.com/css2?family=Roboto&display=swap" rel="stylesheet">
	<!-- Style Sheet -->
	<link rel="stylesheet" href="/css/profiles.css">

</head>
<body class="theme-light pow">

<!-- Load Facebook SDK for JavaScript -->
<div id="fb-root"></div>
<script>
window.fbAsyncInit = function() { FB.init({ xfbml            : true, version          : 'v7.0' }); };
(function(d, s, id) {
var js, fjs = d.getElementsByTagName(s)[0];
if (d.getElementById(id)) return;
js = d.createElement(s); js.id = id;
js.src = 'https://connect.facebook.net/en_US/sdk/xfbml.customerchat.js';
fjs.parentNode.insertBefore(js, fjs);
}(document, 'script', 'facebook-jssdk'));</script>
<!-- Your Chat Plugin code -->
<div class="fb-customerchat" attribution=setup_tool page_id="108345254271283"> </div>

	<header>
		<?= $this->element('pow_header') ?>
	</header>

	<main class="main">
		<div class="container">
			<?= $this->Flash->render() ?>
			<?= $this->fetch('content') ?>
			<?= $this->element('pow_contact') ?>
		</div>
	</main>
	<footer>
		<div class="container">
			<i class="far fa-copyright"></i> 2020 <a class="copyright" href="https://pow.ph"> PinoysOnWeb</a></span>
		</div>
	</footer>
	<script src="https://code.jquery.com/jquery-3.5.0.min.js" integrity="sha256-xNzN2a4ltkB44Mc/Jz3pT4iU1cmeR0FkXs4pru/JxaQ=" crossorigin="anonymous"></script>
	<script src="https://code.jquery.com/ui/1.12.1/jquery-ui.min.js" integrity="sha256-VazP97ZCwtekAsvgPBSUwPFKdrwD3unUfSGVYrahUqU=" crossorigin="anonymous"></script>
	<script src="/js/jquery.magnific-popup.min.js"></script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
	<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
	<script src="/js/wow.js"></script>
	<script src="/js/profiles.js"></script>

</body>
</html>