<!DOCTYPE html>
<html>
<head>
	<?php 
	$image = !empty($profile['business_image']) ? HOST.$profile['business_image'] : ''; 
	$image = empty($image) && !empty($profile['banner_image']) ? HOST.$profile['banner_image'] : 'https://pow.ph/img/sitting.png'; 
	$description = !empty($profile['business_summary']) ? strip_tags($profile['business_summary']) : Globals::$description;
	$description = substr(trim(strip_tags($description)),0,160);
	$description = !empty($description) ? $description : Globals::$title;
	?>
	<?= $this->Html->charset() ?>
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title><?=Globals::$title?></title>
	<script type="application/ld+json">
	{
		"@context": "https://schema.org/",
		"@type": "LocalBusiness",
		"@id": "<?=BASE?>",
		"name": "<?=$profile['title']?>",
		"description": "<?=$description?>",
		"logo": "<?=@$image?>",
		"image": "<?=@$image?>",
		"email" : "<?=@$profile['business_email']?>",
		"url" : "<?=BASE?>",
		"address": "",
		"priceRange": "",
		"telephone": ""
	}
	</script>
	<meta name="page_title" content="<?=Globals::$title?>"/>
	<meta name="robots" content="<?=Globals::$robots?>"/>
	<meta name="description" content="<?=$description?>">
	<link rel="icon" type="image/png" href="/img/pow.png">

	<meta property="og:title" content="<?=Globals::$title?>"/>
	<meta property="og:type" content="website"/>
	<meta property="og:url" content="<?=HOST.$this->here?>"/>
	<meta property="og:image" content="<?=$image?>"/>
	<meta property="og:description" content="<?=$description?>">
	<meta property="og:site_name" content="<?=Globals::$title?>">
	<meta property="fb:app_id" content="199153644806717">

	<meta name="twitter:title" content="<?=Globals::$title?>">
	<meta name="twitter:description" content="<?=$description?>">
	<meta name="twitter:image" content="<?=$image?>">
	<meta name="twitter:card" content="summary_large_image">

	<link href="https://fonts.googleapis.com/css?family=Raleway:400,700" rel="stylesheet">
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/normalize.css@8.0.1/normalize.css">

	<?= $this->fetch('meta') ?>

	<!-- Animate -->
	<link rel="stylesheet" href="/css/animate.min.css">
	<!-- Bootstrap CSS -->
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
	<!-- Font Awesome -->
	<link rel="stylesheet"  href="/css/fontawesome-free/css/all.min.css" type="text/css" />
	<!-- Owl Carousel -->
	<link rel="stylesheet" href="/css/owl.carousel.min.css">
	<link rel="stylesheet" href="/css/owl.theme.default.min.css">
	<!-- Magnific Popup -->
	<link rel="stylesheet" href="/css/magnific-popup.css">
	<!-- Fonts -->
	<link href="https://fonts.googleapis.com/css2?family=Quicksand:wght@400;700&display=swap" rel="stylesheet">
	<link href="https://fonts.googleapis.com/css2?family=Roboto&display=swap" rel="stylesheet">
	<!-- Style Sheet -->
	<link rel="stylesheet" href="/css/profiles.css">
</head>
<body class="theme-<?=!empty($profile['theme']) ? $profile['theme'] : 'light'?> profile">

<?php if(!empty($profile['fb_id'])):?>
<!-- Load Facebook SDK for JavaScript -->
<div id="fb-root"></div>
<script>
window.fbAsyncInit = function() { FB.init({ xfbml            : true, version          : 'v7.0' }); };
(function(d, s, id) {
var js, fjs = d.getElementsByTagName(s)[0];
if (d.getElementById(id)) return;
js = d.createElement(s); js.id = id;
js.src = 'https://connect.facebook.net/en_US/sdk/xfbml.customerchat.js';
fjs.parentNode.insertBefore(js, fjs);
}(document, 'script', 'facebook-jssdk'));</script>
<!-- Your Chat Plugin code -->
<div class="fb-customerchat" attribution=setup_tool page_id="<?=$profile['fb_id']?>"> </div>
<?php endif; ?>


	<header>
		<?= $this->element('header') ?>
	</header>

	<?php #= $this->element('ad_signup_btn') ?>

	<main class="main">
		<div class="container">
			<?= $this->Flash->render() ?>
			<?= $this->fetch('content') ?>
			<?= $this->element('contact') ?>
		</div>
	</main>
	<footer>
		<div class="container">
			<i class="far fa-copyright"></i> <?=date("Y")?> <?=$profile['title']?> 
			<span class="d-none mx-2 pow-powered"><i class="fas fa-power-off"></i> Powered by <a class="copyright" href="https://pow.ph"> PinoysOnWeb</a></span>
		</div>
	</footer>
	<script src="https://code.jquery.com/jquery-3.5.0.min.js" integrity="sha256-xNzN2a4ltkB44Mc/Jz3pT4iU1cmeR0FkXs4pru/JxaQ=" crossorigin="anonymous"></script>
	<script src="https://code.jquery.com/ui/1.12.1/jquery-ui.min.js" integrity="sha256-VazP97ZCwtekAsvgPBSUwPFKdrwD3unUfSGVYrahUqU=" crossorigin="anonymous"></script>
	<script src="/js/jquery.magnific-popup.min.js"></script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
	<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
	<script src="/js/wow.js"></script>
	<script src="/js/profiles.js"></script>

<?php if(!empty($profile['limit']['noads']) && $profile['limit']['noads']): ?>
<style>.ads {display:none;}</style>
<?php endif;?>
</body>
</html>