<!DOCTYPE html>
<html>
<head>
	<?= $this->Html->charset() ?>
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title><?= $this->fetch('title') ?></title>
	<link rel="icon" type="image/png" href="/img/pow.png">

	<link href="https://fonts.googleapis.com/css?family=Raleway:400,700" rel="stylesheet">
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/normalize.css@8.0.1/normalize.css">

	<?= $this->fetch('meta') ?>

	<!-- Animate -->
	<link rel="stylesheet" href="/css/animate.min.css">
	<!-- Bootstrap CSS -->
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
	<!-- Font Awesome -->
	<link rel="stylesheet"  href="/css/fontawesome-free/css/all.min.css" type="text/css" />
	<!-- Owl Carousel -->
	<link rel="stylesheet" href="/css/owl.carousel.min.css">
	<link rel="stylesheet" href="/css/owl.theme.default.min.css">
	<!-- Magnific Popup -->
	<link rel="stylesheet" href="/css/magnific-popup.css">
	<!-- Tagify -->
	<link rel="stylesheet" href="/css/tagify.css">
	<link href="//cdn.quilljs.com/1.3.6/quill.snow.css" rel="stylesheet">
	<!-- Fonts -->
	<link href="https://fonts.googleapis.com/css2?family=Neuton:wght@800&display=swap" rel="stylesheet">
	<link href="https://fonts.googleapis.com/css2?family=Roboto&display=swap" rel="stylesheet">
	<!-- Style Sheet -->
	<link rel="stylesheet" href="/css/settings.css">

	<script src="https://code.jquery.com/jquery-3.5.1.min.js" integrity="sha256-9/aliU8dGd2tb6OSsuzixeV4y/faTqgFtohetphbbj0=" crossorigin="anonymous"></script>
	<script src="https://code.jquery.com/ui/1.12.1/jquery-ui.min.js" integrity="sha256-VazP97ZCwtekAsvgPBSUwPFKdrwD3unUfSGVYrahUqU=" crossorigin="anonymous"></script>
	<script src="/js/jQuery.tagify.min.js"></script>
	<script src="/js/jquery.magnific-popup.min.js"></script>
</head>
<body>
	<header>
		<nav>
			<div class="container ">
				<div class="row">
					<div class="col-9">
						<a href="/settings/dashboard/" class="text-white mx-1"><i class="fas fa-home"></i></a> 
						<a href="<?=HOST?>/<?=$profile['username']?>" target="_BLANK">View Site <i class="fas fa-chevron-circle-right"></i></a>
					</div>
					<div class="col-3 text-right">
						<a href="/signout/"><span class="d-none d-sm-inline-block">Sign Out</span> <i class="fas fa-sign-out-alt"></i></a>
					</div>
				</div>
				
				
			</div>
		</nav>
	</header>

	<main class="main">
		<div class="container container-settings">

		<?php
		$menu = [
			0 => [
				'dashboard' => [
					'label'=> '<i class="fas fa-home"></i>Dashboard',
					'keys' => ['dashboard']
				],
				'account' => [
					'label'=> '<i class="far fa-user-circle"></i>Account',
					'keys' => ['account','change_password']
				],
			],
			1 => [
				'homepage' => [
					'label'=> '<i class="far fa-file-alt"></i>Homepage',
					'keys' => ['homepage']
				],
				'listings' => [
					'label'=> '<i class="fas fa-list-ul"></i>Listings',
					'keys' => ['listings', 'listings_add', 'listings_edit']
				],
			],
			// 2 => [
			// 	'upgrade' => [
			// 		'label'=> '<i class="far fa-star"></i>Upgrade',
			// 		'keys' => ['upgrade', 'upgrade_request']
			// 	],
			// ],
			// 3 => [
			// 	'tickets' => [
			// 		'label'=> '<i class="fas fa-bug"></i>Tickets',
			// 		'keys' => ['tickets', 'tickets_add', 'tickets_edit']
			// 	],
			// ]
		];
		if(!empty($profile['limit']['pages']))
			$menu[1]['pages'] = [
				'label'=> '<i class="far fa-file-alt"></i>Pages',
				'keys' => ['pages', 'pages_add', 'pages_edit']
			];
		?>


			<div class="row">
				<div class="col-lg-3 d-none d-lg-block">
					<?= $this->element('menu_side', ['menu'=>$menu]) ?>
				</div>
				<div class="col-lg-9">
					<?= $this->element('menu_top', ['menu'=>$menu]) ?>
					<?= $this->Flash->render() ?>
					<?= $this->fetch('content') ?>
				</div>
			</div>

		</div>
	</main>
	
	<footer>
		<div class="container"><a class="copyright" href="https://pow.ph">© 2020 PinoysOnWeb</a></div>
	</footer>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
	<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
	<script src="//cdn.quilljs.com/1.3.6/quill.min.js"></script>
	<script src="/js/jquery.magnific-popup.min.js"></script>
	<script src="/js/wow.js"></script>
	<script src="/js/settings.js?123"></script>


</body>
</html>