<?php echo $this->Form->create('Profile', ['type' => 'file']); ?>
<div class="card shadow mb-4">
	<?=$this->element('settings_card_header', ['title'=>'Account Settings'])?>
	<div class="card-body">
		<div class="row">
			<div class="col-md-6">
				<?=  $this->Form->input('username', ['label'=>'Username']); ?>
			</div>
			<div class="col-md-6">
				<label for="membership" class="control-label">Account Type - <a href="/settings/upgrade/">Options</a></label>
				<input name="membership" id="membership" class="form-control" type="text" value="<?=$access[$this->data['Profile']['access']]?>" disabled="disabled">
			</div>
			<div class="col-md-6">
				<?=  $this->Form->input('email', ['label'=>'Email Address']); ?>
			</div>
			<div class="col-md-6">
				<?=  $this->Form->input('name', ['label'=>'Account Holder\'s Name']); ?>
			</div>
			<div class="col-md-6">
				<?=  $this->Form->input('business_name', ['label'=>'Business Name']); ?>
			</div>
			<div class="col-md-6">
				<?=  $this->Form->input('domain', ['label'=>'Domain', 'type'=>'text']); ?>
			</div>
			<div class="col-md-6">
				<?=  $this->Form->input('path', ['label'=>'URL Display Path', 'options'=>$urlPath]); ?>
			</div>
		</div>
		<hr />
		<i class="fas fa-key"></i> <a href="/settings/change_password">Change Password</a>
	</div>
	<?=$this->element('settings_card_footer', ['return'=>false])?>
</div>

<div class="card shadow mb-4">
	<?=$this->element('settings_card_header', ['title'=>'Company Information'])?>
	<div class="card-body">

		<div class="row">
			<div class="col-md-6">
				<?=  $this->Form->input('contact_email', ['label'=>'Business Email']); ?>
				<?=  $this->Form->input('contact_address', ['label'=>'Business Address']); ?>
			</div>
			<div class="col-md-6">
				<?=  $this->Form->input('contact_phone', ['label'=>'Business Phone (main)']); ?>
				<?=  $this->Form->input('contact_phone2', ['label'=>'Business Phone (secondary)']); ?>
			</div>
		</div>

	</div>
	<?=$this->element('settings_card_footer', ['return'=>false])?>
</div>

<div class="card shadow mb-4">
	<?=$this->element('settings_card_header', ['title'=>'Social Media Accounts'])?>
	<div class="card-body">

		<?=$this->element('tip', ['text'=>'Input your social media usernames only instead of full URL'])?>

		<div class="row">
			<div class="col-md-6">
				<?=  $this->Form->input('social_facebook', ['label'=>'Facebook']); ?>
			</div>
			<div class="col-md-6">
				<?=  $this->Form->input('fb_id', ['label'=>'FB Page ID', 'type'=>'text']); ?>
			</div>
			<div class="col-md-6">
				<?=  $this->Form->input('social_instagram', ['label'=>'Instagram']); ?>
			</div>
			<div class="col-md-6">
				<?=  $this->Form->input('social_twitter', ['label'=>'Twitter']); ?>
			</div>
			<div class="col-md-6">
				<?=  $this->Form->input('social_linkedin', ['label'=>'Linkedin']); ?>
			</div>
			<div class="col-md-6">
				<?=  $this->Form->input('social_youtube', ['label'=>'Youtube']); ?>
			</div>
			<div class="col-md-6">
				<?=  $this->Form->input('social_lazada', ['label'=>'Lazada']); ?>
			</div>
			<div class="col-md-6">
				<?=  $this->Form->input('social_shopee', ['label'=>'Shopee']); ?>
			</div>
			<div class="col-md-6">
				<?=  $this->Form->input('social_carousell', ['label'=>'Carousell']); ?>
			</div>
		</div>

	</div>
	<?=$this->element('settings_card_footer', ['return'=>false])?>
</div>


<?php echo $this->Form->end() ?>


<script>
var $input = $('#ProfileTypes')
	.tagify({
			whitelist : <?=json_encode($types)?>,
			originalInputValueFormat: valuesArr => valuesArr.map(item => item.value).join(','),
			enforceWhitelist: true,
		})
		.on('add', function(e, tagName){
			console.log('JQEURY EVENT: ', 'added', tagName)
		})
		.on("invalid", function(e, tagName) {
			console.log('JQEURY EVENT: ',"invalid", e, ' ', tagName);
		});
var jqTagify = $input.data('tagify');
</script>