<div class="dashboard-message mb-4">
	<h1 class="mb-4">Hi <b><?=!empty($profile['name']) ? $profile['name'] : $profile['username']?></b>!</h1>
	<p>Be sure to keep your <a href="/settings/account/">Account</a> and <a href="/settings/homepage/">Homepage</a> updated.</p>
	<p>You are using <a href="/settings/upgrade/"><?=$access[$profile['access']]?></a> membership. 
	<?php if(false && $profile['access'] != 'pro'):?><a href="/settings/upgrade/">Upgrade</a> to unlock more features.<?php endif;?>
	</p>
	<p>Additional features are offered for a small fee. Message us at <a href="http://m.me/pinoysonweb" target="_blank">@pinoysonweb</a> for more info</p>
</div>

<?php
$cancel = '<a href="/settings/upgrade/cancel:%s/" title="Cancel" onclick="return confirm(\'Are you sure you want to cancel?\')"><i class="fas fa-ban"></i> Cancel</a>';
?>
<?php if(!empty($upgrade)):?>
	<div class="card shadow mb-4">
	<?=$this->element('settings_card_header', ['title'=>'Upgrades Requests'])?>
	<div class="card-body">
		<table class="table small table-responsive-sm">
			<thead class="thead-light">
				<tr>
					<th>Upgrade To</th>
					<th>Receipt</th>
					<th>Domain</th>
					<th>Status</th>
					<th>Posted</th>
					<th class="text-center">Actions</th>
				</tr>
			</thead>
			<tbody>
			<?php foreach ($upgrade as $row): ?>
				<tr>
					<td><?= $access[$row['Upgrade']['access']] ?></td>
					<td><a href="<?=$row['Upgrade']['image']?>" class="popup-image"><i class="fas fa-file-download"></i></a></td>
					<td><?= $row['Upgrade']['domain'] ? $row['Upgrade']['domain'] : 'n/a' ?></td>
					<td><?= $upgradeStatus[$row['Upgrade']['status']] ?></td>
					<td><?= $this->App->toDate($row['Upgrade']['created']) ?></td>
					<td class="text-center"><?php if($row['Upgrade']['status'] == 'new') echo sprintf($cancel ,$row['Upgrade']['id']) ?></td>
				</tr>
			<?php endforeach; ?>
			</tbody>
		</table>
		<a class="small" href="/settings/upgrade/">See all Upgrades</a>
	</div>
</div>
<?php endif; ?>


<div class="row d-none">

	<?php if(!empty($visits)):?>
	<div class="col-md-6">
		<div class="card shadow mb-4 collapsed">
			<?=$this->element('settings_card_header', ['title'=>'Page Visits'])?>
			<div class="card-body">
				<table class="table small table-responsive-sm">
					<thead class="thead-light">
						<tr>
							<th>Page</th>
							<th>Visits</th>
						</tr>
					</thead>
					<tbody>
					<?php foreach ($visits as $row): ?>
						<tr>
							<td><?= ($row['Visit']['page'] == '/') ? '/ (root)' : $row['Visit']['page']  ?></td>
							<td><?= $row['Visit']['page_count'] ?></td>
						</tr>
					<?php endforeach; ?>
					</tbody>
				</table>
			</div>
		</div>
	</div>
	<?php endif; ?>

</div>