<?php echo $this->Form->create('Profile', ['type' => 'file']); ?>

<div class="card shadow mb-4">
	<?=$this->element('settings_card_header', ['title'=>'About Section'])?>
	<div class="card-body">

		<div class="row">
			<div class="col-md-6">
				<label for="ProfileBusinessImageInput" class="control-label">About Photo</label>
				<?= $this->Form->input('business_image_input', ['type' => 'file', 
					'class'=> 'custom-file-input',
					'label' => ['class'=>'custom-file-label', 'text'=> '...'],
					'div'=>['class'=>'custom-file']]); ?>
				<ul class="form-help-text">
					<li>Used as main photo for search engine (important)</li>
					<li>Preferrably 800px by 600px</li>
					<?php if(!empty($profile['types'])): ?>
					<li>Get royalty free images from <a href="https://unsplash.com/s/photos/<?=str_replace(",","-",$profile['types'])?>/" target="_blank">Unsplash</a></li>
					<?php else: ?>
					<li>Get royalty free images from <a href="https://unsplash.com/" target="_blank">Unsplash</a></li>
					<?php endif;?>
				</ul>
				<?php if(!empty($this->data['Profile']['business_image'])): ?>
					<div class="mb-1"><img src="<?=$this->data['Profile']['business_image']?>?<?=time()?>" class="form-thumb" /></div>
					<div><?= $this->Form->checkbox('business_image_remove', ['class'=>'mt-2']); ?> <label for="ProfileBusinessImageRemove" class="control-label small">Remove this image?</label></div>
				<?php endif; ?>
			</div>
			<div class="col-md-6">
				<?= $this->element('text_editor', ['field'=>'Profile.business_summary', 'label'=>'About Text']);?>
			</div>
		</div>

	</div>
	<?=$this->element('settings_card_footer', ['return'=>false])?>
</div>

<div class="card shadow mb-4 collapsed">
	<?=$this->element('settings_card_header', ['title'=>'Header Section'])?>
	<div class="card-body">

		<div class="row">	
			<div class="col-md-6">
				<?=  $this->Form->input('theme', ['label'=>'Theme', 'options' => [
					'' => 'Light', 
					'dark' => 'Dark']]); ?>
			</div>	
		</div>

		<hr />

		<div class="row">
			<div class="col-md-6">
				<?=  $this->Form->input('header_text', ['label'=>'Header Label', 'div'=>'mb-0']); ?>
				<ul class="form-help-text">
					<li>Default is your username</li>
				</ul>
			</div>			
			<div class="col-md-6 mb-2">
				<label for="ProfileHeaderLogoInput" class="control-label">Header Logo</label>
				<?= $this->Form->input('header_logo_input', ['type' => 'file', 
					'class'=> 'custom-file-input',
					'label' => ['class'=>'custom-file-label', 'text'=>'...'],
					'div'=>['class'=>'custom-file']]); ?>
				<ul class="form-help-text">
					<li>Replaces the Header Label</li>
					<li>Preferrably wide & transparent</li>
				</ul>
				<?php if(!empty($this->data['Profile']['header_logo'])): ?>
					<div class="bg-secondary"><img src="<?=$this->data['Profile']['header_logo']?>?<?=time()?>" class="form-thumb" /></div>
					<div><?= $this->Form->checkbox('header_logo_remove', ['class'=>'mt-2']); ?> <label for="ProfileHeaderLogoRemove" class="control-label small">Remove this image?</label></div>
				<?php endif; ?>
			</div>
		</div>


	</div>
	<?=$this->element('settings_card_footer', ['return'=>false])?>
</div>


<div class="card shadow mb-4 collapsed">
	<?=$this->element('settings_card_header', ['title'=>'Banner Section'])?>
	<div class="card-body">

		<div class="row">

			<div class="col-md-6">
				<?=  $this->Form->input('banner_text', ['label'=>'Banner Text', 'div'=>'mb-0']); ?>
				<ul class="form-help-text">
					<li>Maximum of 100 characters long</li>
				</ul>

				<label for="ProfileBannerImageInput" class="control-label">Banner Cover Image</label>
				<?= $this->Form->input('banner_image_input', ['type' => 'file', 
					'class'=> 'custom-file-input',
					'label' => ['class'=>'custom-file-label', 'text'=> '...'],
					'div'=>['class'=>'custom-file']]); ?>
				<ul class="form-help-text">
					<li>Preferably 1200px width</li>
					<?php if(!empty($profile['types'])): ?>
					<li>Get royalty free images from <a href="https://unsplash.com/s/photos/<?=str_replace(",","-",$profile['types'])?>/" target="_blank">Unsplash</a></li>
					<?php else: ?>
					<li>Get royalty free images from <a href="https://unsplash.com/" target="_blank">Unsplash</a></li>
					<?php endif;?>
				</ul>
				<?php if(!empty($this->data['Profile']['banner_image'])): ?>
					<img src="<?=$this->data['Profile']['banner_image']?>?<?=time()?>" class="form-thumb" />
					<div><?= $this->Form->checkbox('banner_image_remove', ['class'=>'mt-2']); ?> <label for="ProfileBannerImageRemove" class="control-label small">Remove this image?</label></div>
				<?php endif; ?>

			</div>

			<div class="col-md-6">
				<?=  $this->Form->input('banner_btn_text', ['label'=>'Button Text', 'div'=>'mb-0']); ?>
				<ul class="form-help-text">
					<li>Maximum of 15 characters long</li>
				</ul>
				<?=  $this->Form->input('banner_btn_link', ['label'=>'Button Link']); ?>
			</div>
		</div>



	</div>
	<?=$this->element('settings_card_footer', ['return'=>false])?>
</div>


<div class="card shadow mb-4 collapsed">
	<?=$this->element('settings_card_header', ['title'=>'Listing Section'])?>
	<div class="card-body">

		<div class="row">
			<div class="col-md-6">
				<?=  $this->Form->input('listing_home_title', ['placeholder' => 'Listing']); ?>
			</div>
		</div>
		<hr />
		<div class="row">
			<div class="col-md-6">
				<?=  $this->Form->input('listing_home_style', ['label'=> 'Homepage Style', 'options' => [
					'list' => 'List', 
					'grid-2' => '2-column Grid', 
					'grid-3' => '3-column Grid'
					]]); ?>
			</div>
			<div class="col-md-6">
				<?=  $this->Form->input('listing_home_sort', ['label'=> 'Homepage Sorting', 'options' => [
					'new' => 'Newest', 
					'featured' => 'Featured', 
					'none' => 'None'
					]]); ?>
			</div>
		</div>

		<hr />
		<a href="/settings/listings/">Manage your Listing here <i class="fas fa-chevron-circle-right"></i></a>

	</div>
	<?=$this->element('settings_card_footer', ['return'=>false])?>
</div>

<?php echo $this->Form->end() ?>