<?php echo $this->Form->create('Profile'); ?>
<div class="card shadow mb-4 collapsed">
	<?=$this->element('settings_card_header', ['title'=>'Listing Page Settings'])?>
	<div class="card-body">

		<div class="row">
			<div class="col-md-6">
				<?=  $this->Form->input('listing_page_title', ['placeholder' => 'Listing']); ?>
			</div>
		</div>
		<hr />
		<div class="row">
			<div class="col-md-6">
				<?=  $this->Form->input('listing_page_style', ['label'=> 'Listing Page Style', 'options' => [
					'list' => 'List', 
					'grid-2' => '2-column Grid', 
					'grid-3' => '3-column Grid'
					]]); ?>
			</div>
			<div class="col-md-6">
				<?=  $this->Form->input('listing_page_sort', ['label'=> 'Listing Page Sorting', 'options' => [
					'new' => 'Newest', 
					'featured' => 'Featured'
					]]); ?>
			</div>
		</div>
	</div>
	<?=$this->element('settings_card_footer', ['return'=>false])?>
</div>
<?php echo $this->Form->end() ?>




<?php
$on = '<a class="btn btn-secondary" href="/settings/listings/unfeatured:%s"><i class="fas fa-toggle-on"></i>Featured</a>';
$off = '<a class="btn btn-secondary" href="/settings/listings/featured:%s"><i class="fas fa-toggle-off"></i>Featured</a>';
$edit = '<a class="btn btn-secondary" href="/settings/listings_edit/%s"><i class="fas fa-edit"></i>Edit</a>';
$del = '<a class="btn btn-secondary" href="/settings/listings_del/%s" onclick="return confirm(\'Are you sure you want to delete?\')"><i class="fas fa-trash-alt"></i>Delete</a>';
?>
<div class="card shadow mb-4 listing">
	<?=$this->element('pagination_header', [
		'title'=>'Listings',
		'add'=> count($listing) < $profile['limit']['listing'] ? 'listings_add' : false
		])?>
	<div class="card-body">
	<ul class="list-unstyled">
		<?php foreach ($listing as $data): ?>
		<div class="media mb-4">
			<a href="<?= h($data['Listing']['image']) ?>" class="popup-image"><img class="align-self-start mr-3 image" src="<?=$data['Listing']['image']?>?<?=time()?>" alt="Generic placeholder image"></a>
			<div class="media-body align-self-center">
				<h5 class="mt-0 name"><?=$data['Listing']['name']?></h5>
				<div class="description"><?=$this->App->teaser($data['Listing']['description'], 60)?></div>
				<div class="price my-1 small">Price: <?=$data['Listing']['price']?> | 
				Price Option: <?=$priceOptions[$data['Listing']['price_option']]?> | 
				Availability: <?=$availability[$data['Listing']['availability']]?></div>

				<div class="btn-group btn-group-sm mt-1" role="group" aria-label="Basic example">
					<?= sprintf($edit ,$data['Listing']['id']) ?>
					<?= sprintf($del ,$data['Listing']['id']) ?>
					<?= sprintf($data['Listing']['featured'] ? $on : $off ,$data['Listing']['id']) ?>
				</div>
			</div>
		</div>
		<?php endforeach; ?>
		<?php if(empty($this->data)): ?>
			<a href="/settings/listings_add/">Add your first listing?</a>
		<?php endif; ?>
	</ul>
	</div>
	<?php 
	echo $this->element('help', [
		'link' => '/settings/upgrade/',
		'text' => strtoupper($profile['access']).' membership can post upto '.$profile['limit']['listing'].' listing items']);
	?>
</div>