<?= $this->Form->create('Listing', ['url'=>'/settings/listings_edit/', 'type' => 'file']); ?>
<?= $this->Form->hidden('Form.referer', ['value'=>env('HTTP_REFERER')]); ?>
<?= $this->Form->hidden('Listing.id'); ?>
<div class="card shadow mb-4">
	<?=$this->element('settings_card_header', ['title'=> (strstr($this->params['action'],'_add') ? 'Add' : 'Edit').' a Listing'])?>
	<div class="card-body">
		<div class="row">
			<div class="col-md-6">
				<?=  $this->Form->input('name', ['label'=>'Name']); ?>
			</div>
			<div class="col-6 col-md-3">
				<?=  $this->Form->input('featured', ['label'=>'Featured?', 'options'=>[ 0=>'No',1=>'Yes']]); ?>
			</div>
			<div class="col-6 col-md-3">
				<?=  $this->Form->input('availability', ['label'=>'Availability', 'options'=>$availability]); ?>
			</div>
			<div class="col-12">
				<?=  $this->Form->input('url', ['label'=>'URL Link']); ?>
			</div>
			<div class="col-12">
				<?= $this->element('text_editor', ['field'=>'Listing.description']);?>
			</div>
			<div class="col-md-6">
				<?=  $this->Form->input('price_option', ['label'=>'Price Option', 'options'=>$priceOptions]); ?>
			</div>
			<div class="col-md-6">
				<?=  $this->Form->input('price', ['label'=>'Price Value']); ?>
			</div>
			<div class="col-md-6">
				<label for="ListingImageInput" class="control-label">Image</label>
				<?= $this->Form->input('image_input', ['type' => 'file', 
					'class'=> 'custom-file-input',
					'label' => ['class'=>'custom-file-label', 'text'=> '...'],
					'div'=>['class'=>'custom-file']]); ?>
				<ul class="form-help-text">
					<li>Preferrably of 800px by 600px</li>
				</ul>
				<?php if(!empty($this->data['Listing']['image']) && !strstr($this->data['Listing']['image'],'placeholder.png')): ?>
					<div class="mb-1"><img src="<?=$this->data['Listing']['image']?>?<?=time()?>" class="form-thumb" /></div>
					<div><?= $this->Form->checkbox('image_remove', ['class'=>'mt-2']); ?> <label for="ListingImageRemove" class="control-label small">Remove this image?</label></div>
				<?php endif; ?>
			</div>
		</div>
	</div>
	<?=$this->element('settings_card_footer', ['back_url'=>'/settings/listings/'])?>
</div>
<?= $this->Form->end() ?>