
<?php
$on = '<a class="btn btn-secondary" href="/settings/pages/menuoff:%s" title="Hide in Menu"><i class="fas fa-toggle-on"></i>Menu</a>';
$off = '<a class="btn btn-secondary" href="/settings/pages/menuon:%s" title="Show in Menu"><i class="fas fa-toggle-off"></i>Menu</a>';
$up = '<a class="btn btn-secondary move-up" href="/settings/pages/moveup:%s" title="Move Up"><i class="far fa-arrow-alt-circle-up"></i>Up</a>';
$down = '<a class="btn btn-secondary move-down" href="/settings/pages/movedown:%s" title="Move Down"><i class="far fa-arrow-alt-circle-down"></i>Down</a>';
$edit = '<a class="btn btn-secondary" href="/settings/pages_edit/%s"><i class="fas fa-edit"></i>Edit</a>';
$del = '<a class="btn btn-secondary" href="/settings/pages_del/%s" onclick="return confirm(\'Are you sure you want to delete?\')"><i class="fas fa-trash-alt"></i>Delete</a>';
?>
<?php echo $this->Form->create('Profile', ['type' => 'file']); ?>
<div class="card shadow mb-4 listing">
	<?=$this->element('pagination_header', [
		'title'=>'Pages',
		'add'=>'pages_add'
		])?>
	<div class="card-body">
	<ul class="list-unstyled">
		<?php foreach ($this->data as $data): ?>
		<div class="media mb-4">
			<a href="<?= h($data['Page']['image']) ?>" class="popup-image d-none d-sm-block"><img class="align-self-start mr-3 image" src="<?=$data['Page']['image']?>?<?=time()?>" alt="Generic placeholder image"></a>
			<div class="media-body align-self-center">
				<h5 class="mt-0 name"><?=$data['Page']['title']?></h5>
				<div class="description"><?=$this->App->teaser($data['Page']['content'], 60)?></div>
				<div class="slug my-1 small">Path: /<?=$data['Page']['slug']?>/ </div>

				<div class="btn-group btn-group-sm mt-1" role="group" aria-label="Basic example">
					<?= sprintf($edit ,$data['Page']['id']) ?>
					<?= sprintf($del ,$data['Page']['id']) ?>
					<?= sprintf($data['Page']['menu'] ? $on : $off ,$data['Page']['id']) ?>
					<?= sprintf($up ,$data['Page']['id']) ?>
					<?= sprintf($down ,$data['Page']['id']) ?>
				</div>
			</div>
		</div>
		<?php endforeach; ?>
		<?php if(empty($this->data)): ?>
			<a href="/settings/pages_add/">Add your first page?</a>
		<?php endif; ?>
	</ul>
	</div>
	<?php 
	echo $this->element('help', [
		'link' => '/settings/upgrade/',
		'text' => strtoupper($profile['access']).' membership can post upto '.$profile['limit']['pages'].' pages']);
	?>
</div>
<style>
.listing .media:first-child .move-up { display:none; }
.listing .media:last-child .move-down { display:none; }
</style>

<?php echo $this->Form->end() ?>