<?= $this->Form->create('Page', ['url'=>'/settings/pages_edit/', 'type' => 'file']); ?>
<?= $this->Form->hidden('Form.referer', ['value'=>env('HTTP_REFERER')]); ?>
<?= $this->Form->hidden('Page.id'); ?>
<?= $this->Form->hidden('Page.order'); ?>
<div class="card shadow mb-4">
	<?=$this->element('settings_card_header', ['title'=> (strstr($this->params['action'],'_add') ? 'Add' : 'Edit').' a Page'])?>
	<div class="card-body">
		<div class="row">
			<div class="col-md-6">
				<?=  $this->Form->input('title'); ?>
			</div>
			<div class="col-md-6">
				<?=  $this->Form->input('slug', ['label'=>'Path', 'placeholder'=>'Optional']); ?>
			</div>
			<div class="col-12">
				<?= $this->element('text_editor', ['field'=>'Page.content']);?>
			</div>
			<div class="col-md-6">
				<label for="PageImageInput" class="control-label">Image</label>
				<?= $this->Form->input('image_input', ['type' => 'file', 
					'class'=> 'custom-file-input',
					'label' => ['class'=>'custom-file-label', 'text'=> '...'],
					'div'=>['class'=>'custom-file']]); ?>
				<ul class="form-help-text">
					<li>Preferrably of 800px by 600px</li>
				</ul>
				<?php if(!empty($this->data['Page']['image']) && !strstr($this->data['Page']['image'],'placeholder.png')): ?>
					<div class="mb-1"><img src="<?=$this->data['Page']['image']?>?<?=time()?>" class="form-thumb" /></div>
					<div><?= $this->Form->checkbox('image_remove', ['class'=>'mt-2']); ?> <label for="PageImageRemove" class="control-label small">Remove this image?</label></div>
				<?php endif; ?>
			</div>
			<div class="col-md-6">
				<?=  $this->Form->input('published', ['options'=>['1'=>'Published', '0'=>'Unpublished']]); ?>
			</div>
		</div>
	</div>
	<?=$this->element('settings_card_footer', ['back_url'=>'/settings/pages/'])?>
</div>
<?= $this->Form->end() ?>