<h1 class="mb-3">Upgrade</h1>
<p>You are using <a href="/settings/upgrade/"><?=$access[$profile['access']]?></a> membership.</p>

<p>Additional features are offered for a small fee. Message us at <a href="http://m.me/pinoysonweb" target="_blank">@pinoysonweb</a> for more info</p>

<div class="d-none">

<?php
$cancel = '<a href="/settings/upgrade/cancel:%s/" title="Cancel" onclick="return confirm(\'Are you sure you want to cancel?\')"><i class="fas fa-ban"></i></a>';
?>
<?php if(!empty($recentUpgrades)):?>
<div class="card shadow mb-4">
	<?=$this->element('settings_card_header', ['title'=>'Upgrades Requests'])?>
	<div class="card-body">
		<table class="table small table-responsive-sm">
			<thead class="thead-light">
				<tr>
					<th>Upgrade To</th>
					<th>Receipt</th>
					<th>Posted</th>
					<th>Status</th>
					<th class="text-center">Actions</th>
				</tr>
			</thead>
			<tbody>
			<?php foreach ($recentUpgrades as $row): ?>
				<tr>
					<td><?= $access[$row['Upgrade']['access']] ?></td>
					<td><a href="<?=$row['Upgrade']['image']?>" class="popup-image"><i class="fas fa-file-download"></i></a></td>
					<td><?= $this->App->toDate($row['Upgrade']['created']) ?></td>
					<td><?= $upgradeStatus[$row['Upgrade']['status']] ?></td>
					<td class="text-center"><?php if($row['Upgrade']['status'] == 'new') echo sprintf($cancel ,$row['Upgrade']['id']) ?></td>
				</tr>
			<?php endforeach; ?>
			</tbody>
		</table>
	</div>
</div>
<?php else: ?>
<p>You have no pending membership upgrade request.</p>
<?php endif; ?>


<div class="row mt-4">
<?php foreach ($accessLimits as $key=>$row):?>
	<div class="col-md-6 mb-4">
		<div class="card <?=$profile['access']==$key?'bg-current-access':''?>">
		<div class="card-body">
			<h5 class="card-title"><?=strtoupper($key)?></h5>
			<p class="card-text">Great for branding your business.</p>
			<a href="/settings/upgrade_add/<?=$key?>/" class="btn btn-primary text-white <?=!isset($upgradeOptions[$key])?'disabled':''?>">₱<?=$row['cpm']?>/month</a> <span class="ml-2 small">₱<?=$row['cpm']*12?> annually</span>
		</div>
		<ul class="list-group list-group-flush small">
			<li class="list-group-item"><i class="fas fa-check"></i> <?=$row['path']=='username'?'pow.ph/username domain':'free .com domain name + SSL'?></li>
			<li class="list-group-item"><i class="fas fa-check"></i> customizable homepage</li>
			<li class="list-group-item"><i class="fas fa-check"></i> mobile responsive</li>
			<li class="list-group-item"><i class="fas fa-check"></i> post upto <?=$row['listing']?> listing items</li>
			<li class="list-group-item <?=$row['pages'] ?'':'text-muted'?>"><i class="fas <?=$row['pages'] ?'fa-check':'fa-times'?>"></i> <?=$row['pages']?> additional pages</li>
			<li class="list-group-item"><i class="fas fa-check"></i> upto <?=$row['visitors']?> unique visitors per month</li>
			<li class="list-group-item <?=$row['noads'] ?'':'text-muted'?>"><i class="fas <?=$row['noads'] ?'fa-check':'fa-times'?>"></i> no ads</li>
			<li class="list-group-item <?=$row['fbchat'] ?'':'text-muted'?>"><i class="fas <?=$row['fbchat'] ?'fa-check':'fa-times'?>"></i> fb page chat widget</li>
		</ul>
		</div>
	</div>
<?php endforeach; ?>
</div>

<?= $this->element('tip',['text'=>'Free .com/org/net domain names are non transferable. You can also forward and asign your own domain to your POW.ph account.']);?>
<?= $this->element('tip',['text'=>'Unique vistors referers to the number of visits per IP Address per month.']);?>
<?= $this->element('tip',['text'=>'For Facebook Chat Widget, go <a href="https://medium.com/@jamesfuthey/how-to-add-facebook-live-chat-to-your-website-dd48fc8bb066" target="_blank">here</a> for instructions and give us your page ID.']);?>

<?= $this->element('tip',['text'=>'All features and services are offered as is and final. More feaures will be offered as we go on.<br />For questions, chat with us via messenger <a href="http://m.me/pinoysonweb" target="_blank">@pinoysonweb</a>']);?>

</div>