<?php if(empty($upgradeOptions[$selectedUpgrade])): ?>

		<h4>Cannot change from <b><?=$access[$profile['access']]?></b> to <b><?=$access[$selectedUpgrade]?></b>.</h4>
		<a class="btn btn-primary" href="/settings/upgrade/"><i class="fas fa-angle-left"></i> Go back</a>

<?php else: ?>

	<?php
	$currentCostPerYear = floor($accessLimits[$profile['access']]['cpm'] * 12);
	$currentAccess = $access[$profile['access']]. ' ₱'.$currentCostPerYear.'/year';
	$currentAccessFrom = !empty($profile['last_upgrade_date']) ? strtotime($profile['last_upgrade_date']) : 0;
	$daysPassed = !$currentAccessFrom ? 0 : (time() -$currentAccessFrom)/60/60/24;
	$monthPassed = $daysPassed <= 30 ? 1 : ceil($daysPassed/30);
	$proratedDiscount = $monthPassed * $accessLimits[$profile['access']]['cpm'];
	$proratedDiscount = floor($currentCostPerYear - $proratedDiscount);

	foreach($upgradeOptions as $i=>$row) {
		$toYearlyRate = $accessLimits[$i]['cpm'] * 12;
		if($proratedDiscount)
			$upgradeOptions[$i] = $row.' : Pay ₱'.floor($toYearlyRate-$proratedDiscount).' (discounted)';
		else
			$upgradeOptions[$i] = $row.' : Pay ₱'.floor($toYearlyRate-$proratedDiscount).'/year';
	}
	?>

	<?php if($profile['access'] != 'free'): ?>
	<div class="card mb-3">
		<div class="card-body">
			<div>Current Membership: <?=$access[$profile['access']]?> @ ₱<?=$currentCostPerYear?>/year</b></div>
			<div>Membership Since: <?=date("M d, Y", $currentAccessFrom)?></div>
			<div>Months charged: <?=$monthPassed?></div>
			<div>Pro-rated Discount: ₱<?=$proratedDiscount?></div>
			<div>New Upgrade End Date: <?=date("M d, Y", strtotime('NOW + 1 year'))?></div>
		</div>
	</div>
	<?php endif; ?>

	<?= $this->Form->create('Upgrade', ['url'=>'/settings/upgrade_edit/', 'type' => 'file']); ?>
	<?= $this->Form->hidden('Form.referer', ['value'=>env('HTTP_REFERER')]); ?>
	<?= $this->Form->hidden('Upgrade.id'); ?>
	<?= $this->Form->hidden('Upgrade.access'); ?>
	<div class="card shadow mb-4">
		<?=$this->element('settings_card_header', ['title'=> (strstr($this->params['action'],'_add') ? 'Add' : 'Edit').' a Upgrade'])?>
		<div class="card-body">
			<div class="row">
				<div class="col-md-6">
					<div class="form-group">
						<label for="membership" class="control-label">Upgrade To</label>
						<input name="membership" id="membership" class="form-control" type="text" value="<?=$upgradeOptions[$selectedUpgrade]?>" disabled="disabled">
					</div>
				</div>
				<div class="col-md-6">
					<div class="form-group">
					<label for="UpgradeImageInput" class="control-label">Upload Receipt</label>
					<?= $this->Form->input('image_input', ['type' => 'file', 
						'class'=> 'custom-file-input',
						'required'=>'required',
						'label' => ['class'=>'custom-file-label', 'text'=> '...'],
						'div'=>['class'=>'custom-file']]); ?>
					<?php if(!empty($this->data['Upgrade']['image']) && !strstr($this->data['Upgrade']['image'],'placeholder.png')): ?>
						<div class="mb-1"><img src="<?=$this->data['Upgrade']['image']?>?<?=time()?>" class="form-thumb" /></div>
					<?php endif; ?>
					</div>
				</div>

				<?php if(!empty($selectedUpgrade) && in_array($selectedUpgrade,['plus','pro'])):?>
				<div class="col-md-6">
					<?=  $this->Form->input('domain', ['label'=>'Domain Name', 'required'=>'required']); ?>
				</div>
				<div class="col-md-6">
					<?=  $this->Form->input('domain_ownership', ['label'=> 'Domain Ownership', 'div'=> 'form-group mb-1', 'options' => $domainOwnership]); ?>
					<ul class="form-help-text">
						<li>If you are availing our free domain (.com/net/org), make sure that domain is available. Check <a href="https://namecheap.pxf.io/ZgaYR" target="_blank">here</a> to verify.</li>
						<li>You may also register your own domain and point your Domain Nameserves to <b>ns1.powph.com</b> and <b>ns2.powph.com</b> inorder to forward it to your website.</li>
					</ul>
				</div>
				<?php endif; ?>
			</div>

			<hr />
			<label class="control-label">Payment Details</label>
			<p><b>BDO</b><br/>006540195183<br/>John Renneth Suarez</p>
			<p><b>BPI</b><br/>2439048657<br/>John Renneth Suarez</p>
			For questions, chat with us via messenger <a href="http://m.me/pinoysonweb" target="_blank">@pinoysonweb</a>

		</div>
		<?=$this->element('settings_card_footer', ['back_url'=>'/settings/upgrade/', 'return'=>false])?>
	</div>
	<?= $this->Form->end() ?>

<?php endif; ?>