-- --------------------------------------------------------
-- Host:                         127.0.0.1
-- Server version:               10.4.8-MariaDB - mariadb.org binary distribution
-- Server OS:                    Win64
-- HeidiSQL Version:             11.0.0.5919
-- --------------------------------------------------------

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET NAMES utf8 */;
/*!50503 SET NAMES utf8mb4 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

-- Dumping structure for table powph.industries
CREATE TABLE IF NOT EXISTS `industries` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(50) NOT NULL,
  `slug` varchar(50) NOT NULL,
  `image` varchar(100) NOT NULL,
  `attribution` varchar(250) NOT NULL,
  `created` varchar(50) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `slug` (`slug`)
) ENGINE=InnoDB AUTO_INCREMENT=14 DEFAULT CHARSET=utf8mb4;

-- Dumping data for table powph.industries: ~13 rows (approximately)
/*!40000 ALTER TABLE `industries` DISABLE KEYS */;
INSERT INTO `industries` (`id`, `name`, `slug`, `image`, `attribution`, `created`) VALUES
	(1, 'Agriculture', 'agriculture', '/img/covers/admin-industries-1.jpg', '<a href="https://unsplash.com/@jxk">Unsplash</a>', '1593807265'),
	(2, 'Construction', 'construction', '/img/covers/admin-industries-2.jpg', '<a href="https://unsplash.com/@chuklanov">Unsplash</a>', '1593807272'),
	(3, 'Education', 'education', '/img/covers/admin-industries-3.jpg', '<a href="https://unsplash.com/@syinq">Unsplash</a>', '1593807277'),
	(4, 'Arts & Entertainment', 'entertainment', '/img/covers/admin-industries-4.jpg', '<a href="https://unsplash.com/@thomholmes">Unsplash</a>', '1593807283'),
	(5, 'Energy', 'energy', '/img/covers/admin-industries-5.jpg', '<a href="https://unsplash.com/@jtkyber1">Unsplash</a>', '1593807290'),
	(6, 'Food', 'food', '/img/covers/admin-industries-6.jpg', '<a href="https://unsplash.com/@fabmag">Unsplash</a>', '1593807296'),
	(7, 'Health & Wellness', 'health-and-wellness', '/img/covers/admin-industries-7.jpg', '<a href="https://unsplash.com/@cheaousa">Unsplash</a>', '1593807302'),
	(8, 'Hospitality', 'hospitality', '/img/covers/admin-industries-8.jpg', '<a href="https://unsplash.com/@hellolightbulb">Unsplash</a>', '1593807307'),
	(9, 'Manufacturing', 'manufacturing', '/img/covers/admin-industries-9.jpg', '<a href="https://unsplash.com/@lennykuhne">Unsplash</a>', '1593807313'),
	(10, 'Technology', 'technology', '/img/covers/admin-industries-10.jpg', '<a href="https://unsplash.com/@alexkixa">Unsplash</a>', '1593807319'),
	(11, 'Transport', 'transport', '/img/covers/admin-industries-11.jpg', '<a href="https://unsplash.com/@connorxwang">Unsplash</a>', '1593807326'),
	(12, 'Professional', 'professional', '/img/covers/admin-industries-12.jpg', '<a href="https://unsplash.com/@martenbjork">Unsplash</a>', '1593812789'),
	(13, 'Store', 'store', '/img/covers/admin-industries-13.jpg', '<a href="https://unsplash.com/@shyshkina">Unsplash</a>', '1593813645');
/*!40000 ALTER TABLE `industries` ENABLE KEYS */;

-- Dumping structure for table powph.listings
CREATE TABLE IF NOT EXISTS `listings` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `profile_id` int(11) NOT NULL,
  `name` varchar(100) NOT NULL DEFAULT '',
  `description` varchar(2000) DEFAULT NULL,
  `price` int(11) DEFAULT NULL,
  `price_option` varchar(10) DEFAULT NULL,
  `image` varchar(100) DEFAULT NULL,
  `availability` varchar(10) DEFAULT NULL,
  `featured` tinyint(1) DEFAULT NULL,
  `stock` int(11) DEFAULT NULL,
  `created` datetime DEFAULT NULL,
  `modified` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `profile_id` (`profile_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- Dumping data for table powph.listings: ~0 rows (approximately)
/*!40000 ALTER TABLE `listings` DISABLE KEYS */;
/*!40000 ALTER TABLE `listings` ENABLE KEYS */;

-- Dumping structure for table powph.pages
CREATE TABLE IF NOT EXISTS `pages` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `profile_id` int(11) NOT NULL,
  `title` varchar(100) NOT NULL DEFAULT '',
  `slug` varchar(100) NOT NULL DEFAULT '',
  `content` mediumtext DEFAULT '',
  `image` varchar(100) DEFAULT '',
  `published` tinyint(1) DEFAULT 1,
  `menu` tinyint(1) DEFAULT 1,
  `order` smallint(4) DEFAULT NULL,
  `created` datetime DEFAULT NULL,
  `modified` datetime DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  KEY `profile_id` (`profile_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC;

-- Dumping data for table powph.pages: ~0 rows (approximately)
/*!40000 ALTER TABLE `pages` DISABLE KEYS */;
/*!40000 ALTER TABLE `pages` ENABLE KEYS */;

-- Dumping structure for table powph.profiles
CREATE TABLE IF NOT EXISTS `profiles` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `username` varchar(255) NOT NULL,
  `name` varchar(255) NOT NULL,
  `password` varchar(255) NOT NULL,
  `email` varchar(255) NOT NULL,
  `types` varchar(255) DEFAULT NULL,
  `access` varchar(10) DEFAULT 'free',
  `domain` varchar(50) DEFAULT NULL,
  `domain_ownership` varchar(10) DEFAULT 'free',
  `domain_ssl` tinyint(1) DEFAULT 1,
  `last_upgrade_date` datetime DEFAULT NULL,
  `path` varchar(10) DEFAULT 'username',
  `password_token` varchar(255) DEFAULT NULL,
  `password_timeout` varchar(16) DEFAULT NULL,
  `business_name` varchar(255) DEFAULT NULL,
  `business_summary` text DEFAULT NULL,
  `business_image` varchar(100) DEFAULT NULL,
  `theme` varchar(20) DEFAULT NULL,
  `header_text` varchar(20) DEFAULT NULL,
  `header_logo` varchar(100) DEFAULT NULL,
  `banner_text` varchar(100) DEFAULT NULL,
  `banner_btn_text` varchar(15) DEFAULT NULL,
  `banner_btn_link` varchar(255) DEFAULT NULL,
  `banner_image` varchar(100) DEFAULT NULL,
  `listing_home_title` varchar(50) DEFAULT 'Listing',
  `listing_home_style` varchar(50) DEFAULT 'list',
  `listing_home_sort` varchar(50) DEFAULT 'new',
  `listing_page_title` varchar(50) DEFAULT 'Listing',
  `listing_page_style` varchar(50) DEFAULT 'grid-3',
  `listing_page_sort` varchar(50) DEFAULT 'grid-3',
  `contact_email` varchar(50) DEFAULT NULL,
  `contact_phone` varchar(20) DEFAULT NULL,
  `contact_phone2` varchar(20) DEFAULT NULL,
  `contact_address` varchar(255) DEFAULT NULL,
  `contact_city` varchar(255) DEFAULT NULL,
  `social_facebook` varchar(50) DEFAULT NULL,
  `social_instagram` varchar(50) DEFAULT NULL,
  `social_twitter` varchar(50) DEFAULT NULL,
  `social_linkedin` varchar(50) DEFAULT NULL,
  `social_youtube` varchar(50) DEFAULT NULL,
  `social_lazada` varchar(50) DEFAULT NULL,
  `social_shopee` varchar(50) DEFAULT NULL,
  `social_carousell` varchar(50) DEFAULT NULL,
  `published` tinyint(1) DEFAULT 1,
  `signup_finished` tinyint(1) DEFAULT 0,
  `featured` tinyint(1) DEFAULT 0,
  `login_ip` varchar(30) DEFAULT NULL,
  `login_date` datetime DEFAULT NULL,
  `created` datetime DEFAULT NULL,
  `modified` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `username` (`username`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- Dumping data for table powph.profiles: ~0 rows (approximately)
/*!40000 ALTER TABLE `profiles` DISABLE KEYS */;
/*!40000 ALTER TABLE `profiles` ENABLE KEYS */;

-- Dumping structure for table powph.tickets
CREATE TABLE IF NOT EXISTS `tickets` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `profile_id` int(11) NOT NULL,
  `title` varchar(100) DEFAULT NULL,
  `description` text DEFAULT NULL,
  `url` varchar(100) DEFAULT NULL,
  `image` varchar(100) DEFAULT NULL,
  `message` text DEFAULT NULL,
  `status` varchar(10) DEFAULT 'new',
  `modified` datetime DEFAULT NULL,
  `created` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `profile_id` (`profile_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- Dumping data for table powph.tickets: ~0 rows (approximately)
/*!40000 ALTER TABLE `tickets` DISABLE KEYS */;
/*!40000 ALTER TABLE `tickets` ENABLE KEYS */;

-- Dumping structure for table powph.types
CREATE TABLE IF NOT EXISTS `types` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `slug` varchar(50) NOT NULL,
  `name` varchar(50) NOT NULL,
  `industry_id` int(11) DEFAULT NULL,
  `published` tinyint(1) NOT NULL DEFAULT 1,
  PRIMARY KEY (`id`),
  KEY `slug` (`slug`),
  KEY `industry_id` (`industry_id`)
) ENGINE=InnoDB AUTO_INCREMENT=97 DEFAULT CHARSET=utf8mb4;

-- Dumping data for table powph.types: ~96 rows (approximately)
/*!40000 ALTER TABLE `types` DISABLE KEYS */;
INSERT INTO `types` (`id`, `slug`, `name`, `industry_id`, `published`) VALUES
	(1, 'accounting', 'Accounting', 12, 1),
	(2, 'airport', 'Airport', NULL, 0),
	(3, 'amusement_park', 'Amusement Park', 4, 1),
	(4, 'aquarium', 'Aquarium', 4, 1),
	(5, 'art_gallery', 'Art Gallery', 4, 1),
	(6, 'atm', 'Atm', NULL, 0),
	(7, 'bakery', 'Bakery', 6, 1),
	(8, 'bank', 'Bank', 12, 1),
	(9, 'bar', 'Bar', 6, 1),
	(10, 'beauty_salon', 'Beauty Salon', 7, 1),
	(11, 'bicycle_store', 'Bicycle Store', 13, 1),
	(12, 'book_store', 'Book Store', 13, 1),
	(13, 'bowling_alley', 'Bowling Alley', NULL, 0),
	(14, 'bus_station', 'Bus Station', NULL, 0),
	(15, 'cafe', 'Cafe', 6, 1),
	(16, 'campground', 'Campground', 8, 1),
	(17, 'car_dealer', 'Car Dealer', 13, 1),
	(18, 'car_rental', 'Car Rental', 13, 1),
	(19, 'car_repair', 'Car Repair', 13, 1),
	(20, 'car_wash', 'Car Wash', 13, 1),
	(21, 'casino', 'Casino', NULL, 0),
	(22, 'cemetery', 'Cemetery', NULL, 0),
	(23, 'church', 'Church', NULL, 0),
	(24, 'city_hall', 'City Hall', NULL, 0),
	(25, 'clothing_store', 'Clothing Store', 13, 1),
	(26, 'convenience_store', 'Convenience Store', 13, 1),
	(27, 'courthouse', 'Courthouse', NULL, 0),
	(28, 'dentist', 'Dentist', 12, 1),
	(29, 'department_store', 'Department Store', 13, 1),
	(30, 'doctor', 'Doctor', 12, 1),
	(31, 'drugstore', 'Drugstore', 13, 1),
	(32, 'electrician', 'Electrician', 12, 1),
	(33, 'electronics_store', 'Electronics Store', 13, 1),
	(34, 'embassy', 'Embassy', NULL, 0),
	(35, 'fire_station', 'Fire Station', NULL, 0),
	(36, 'florist', 'Florist', 12, 1),
	(37, 'funeral_home', 'Funeral Home', 12, 1),
	(38, 'furniture_store', 'Furniture Store', 13, 1),
	(39, 'gas_station', 'Gas Station', 13, 1),
	(40, 'gym', 'Gym', 7, 1),
	(41, 'hair_care', 'Hair Care', 7, 1),
	(42, 'hardware_store', 'Hardware Store', 13, 1),
	(43, 'hindu_temple', 'Hindu Temple', NULL, 0),
	(44, 'home_goods_store', 'Home Goods Store', 13, 1),
	(45, 'hospital', 'Hospital', 7, 1),
	(46, 'insurance_agency', 'Insurance Agency', 12, 1),
	(47, 'jewelry_store', 'Jewelry Store', 13, 1),
	(48, 'laundry', 'Laundry', 13, 1),
	(49, 'lawyer', 'Lawyer', 12, 1),
	(50, 'library', 'Library', 3, 1),
	(51, 'light_rail_station', 'Light Rail Station', NULL, 0),
	(52, 'liquor_store', 'Liquor Store', 13, 1),
	(53, 'local_government_office', 'Local Government Office', NULL, 0),
	(54, 'locksmith', 'Locksmith', NULL, 0),
	(55, 'lodging', 'Lodging', 8, 1),
	(56, 'meal_delivery', 'Meal Delivery', 6, 0),
	(57, 'meal_takeaway', 'Meal Takeaway', NULL, 0),
	(58, 'mosque', 'Mosque', NULL, 0),
	(59, 'movie_rental', 'Movie Rental', NULL, 0),
	(60, 'movie_theater', 'Movie Theater', NULL, 0),
	(61, 'moving_company', 'Moving Company', 11, 1),
	(62, 'museum', 'Museum', NULL, 0),
	(63, 'night_club', 'Night Club', 4, 1),
	(64, 'painter', 'Painter', 12, 1),
	(65, 'park', 'Park', NULL, 0),
	(66, 'parking', 'Parking', NULL, 0),
	(67, 'pet_store', 'Pet Store', 13, 1),
	(68, 'pharmacy', 'Pharmacy', 7, 1),
	(69, 'physiotherapist', 'Physiotherapist', NULL, 0),
	(70, 'plumber', 'Plumber', 12, 1),
	(71, 'police', 'Police', NULL, 0),
	(72, 'post_office', 'Post Office', NULL, 0),
	(73, 'primary_school', 'Primary School', 3, 1),
	(74, 'real_estate_agency', 'Real Estate Agency', 12, 1),
	(75, 'restaurant', 'Restaurant', 6, 1),
	(76, 'roofing_contractor', 'Roofing Contractor', 12, 1),
	(77, 'rv_park', 'Rv Park', NULL, 0),
	(78, 'school', 'School', 3, 1),
	(79, 'secondary_school', 'Secondary School', 3, 1),
	(80, 'shoe_store', 'Shoe Store', 13, 1),
	(81, 'shopping_mall', 'Shopping Mall', 13, 1),
	(82, 'spa', 'Spa', 7, 1),
	(83, 'stadium', 'Stadium', 4, 1),
	(84, 'storage', 'Storage', NULL, 0),
	(85, 'store', 'Store', 13, 1),
	(86, 'subway_station', 'Subway Station', NULL, 0),
	(87, 'supermarket', 'Supermarket', 13, 1),
	(88, 'synagogue', 'Synagogue', NULL, 0),
	(89, 'taxi_stand', 'Taxi Stand', NULL, 0),
	(90, 'tourist_attraction', 'Tourist Attraction', 4, 1),
	(91, 'train_station', 'Train Station', NULL, 0),
	(92, 'transit_station', 'Transit Station', NULL, 0),
	(93, 'travel_agency', 'Travel Agency', 12, 1),
	(94, 'university', 'University', 3, 1),
	(95, 'veterinary_care', 'Veterinary Care', 12, 1),
	(96, 'zoo', 'Zoo', NULL, 0);
/*!40000 ALTER TABLE `types` ENABLE KEYS */;

-- Dumping structure for table powph.upgrades
CREATE TABLE IF NOT EXISTS `upgrades` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `profile_id` int(11) NOT NULL,
  `access` varchar(10) NOT NULL,
  `image` varchar(100) NOT NULL,
  `domain` varchar(100) DEFAULT NULL,
  `domain_ownership` varchar(100) DEFAULT 'free',
  `status` varchar(20) NOT NULL DEFAULT 'new',
  `created` datetime NOT NULL,
  `modified` datetime DEFAULT NULL,
  `approved` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `profile_id` (`profile_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- Dumping data for table powph.upgrades: ~0 rows (approximately)
/*!40000 ALTER TABLE `upgrades` DISABLE KEYS */;
/*!40000 ALTER TABLE `upgrades` ENABLE KEYS */;

-- Dumping structure for table powph.users
CREATE TABLE IF NOT EXISTS `users` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `username` varchar(255) NOT NULL,
  `password` varchar(255) NOT NULL,
  `created` datetime DEFAULT NULL,
  `modified` datetime DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  KEY `username` (`username`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC;

-- Dumping data for table powph.users: ~1 rows (approximately)
/*!40000 ALTER TABLE `users` DISABLE KEYS */;
INSERT INTO `users` (`id`, `username`, `password`, `created`, `modified`) VALUES
	(2, 'admin', '$2a$10$pWIl2focTA8y85jOGqjGcO4A8pGZ/fKOjoB76C1iMRTAM/nl9Xc0G', '2020-06-12 21:25:17', '2020-06-12 21:25:17');
/*!40000 ALTER TABLE `users` ENABLE KEYS */;

-- Dumping structure for table powph.visits
CREATE TABLE IF NOT EXISTS `visits` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `profile_id` int(11) NOT NULL,
  `page` varchar(100) DEFAULT '',
  `ip` varchar(100) DEFAULT '',
  `created` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- Dumping data for table powph.visits: ~0 rows (approximately)
/*!40000 ALTER TABLE `visits` DISABLE KEYS */;
/*!40000 ALTER TABLE `visits` ENABLE KEYS */;

/*!40101 SET SQL_MODE=IFNULL(@OLD_SQL_MODE, '') */;
/*!40014 SET FOREIGN_KEY_CHECKS=IF(@OLD_FOREIGN_KEY_CHECKS IS NULL, 1, @OLD_FOREIGN_KEY_CHECKS) */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
